#include "Logger.h"

#include <fstream>
#include <iostream>
#include <sys/time.h>

#define MAC_LOG_FILE_NAME "/Desktop/InDesignCrash_Plugin_Debug.log" 

int Logger::level = 0;
std::string Logger::filename = "";
bool Logger::initialized = false;

#ifdef LOG

std::string Logger::getLogPath()
{
	if (filename == "")
	{
		char *pPath = getenv("HOME");
		if (pPath != NULL)
		{
			filename = pPath;
			filename += MAC_LOG_FILE_NAME;
		}
	}

	return filename;
}

void Logger::clearLogStream(std::ofstream *myfile)
{
	myfile->close();
}

std::ofstream *Logger::getLogStream()
{
	static std::ofstream myfile;
	{
		filename = getLogPath();
		myfile.open(filename.c_str(), std::ios_base::out | std::ios_base::app);
		if (myfile && !myfile.good())
		{
			std::cout << "Unable to open file: " << filename << std::endl;
			return NULL;
		}
	}

	return &myfile;
}

std::string Logger::getTimeStamp()
{
	std::string strTime = "";
	char time_buffer[40];
	struct timeval tv;
	const struct tm *tm;
	// time_t now;

	struct timezone tz;


	time_t now = time(NULL);
	tm = localtime(&now);

	strftime(time_buffer, 40, "%Y%m%d:%H%M%S", tm);
	gettimeofday(&tv, &tz);

	long secs = tv.tv_sec;
	long usecs = tv.tv_usec;

	strTime = std::string(time_buffer) + ":" + std::to_string(secs) + "." + std::to_string(usecs) + std::string(" : ");
	return strTime;
}
#endif /* ifdef DEBUG */

void Logger::log(const std::string &system, const std::string &message, int lvl)
{
#ifdef LOG

	uint64_t tid = 100;
	pthread_threadid_np(NULL, &tid);
	int pid = getpid();
	// cofu stuff
	std::ofstream *ofile = getLogStream();
	if (ofile != NULL)
	{
		*ofile << getTimeStamp() + system + std::string(" PID: ") << pid << std::string(" THREAD-ID: ") << tid
			   << std::string(" : ") + message << std::endl;
		clearLogStream(ofile);
	}
#endif /* ifdef LOG */
}

void Logger::log(const std::string &system, int message, int lvl)
{
#ifdef LOG
	// cofu stuff
	std::ofstream *ofile = getLogStream();
	if (ofile != NULL)
	{
		*ofile << getTimeStamp() + system << std::string(" : ") << message << std::endl;
		clearLogStream(ofile);
	}
#endif /* ifdef LOG */
}
