#ifndef LOGGER_H_1544
#define LOGGER_H_1544

#include <string>

#define DEBUG
class Logger
{
public:
	enum LogLevels
	{
		Normal = 0,
		Warning = 1,
		Error = 2
	};

	Logger(){};
	~Logger(){};

	static void log(const std::string &system, const std::string &message, int lvl = 0);
	static void log(const std::string &system, int message, int lvl = 0);

private:
#ifdef DEBUG
#define LOG
#endif

#ifdef LOG
	static std::string getLogPath();
	static std::string getTimeStamp();
	static void clearLogStream(std::ofstream *);
	static std::ofstream *getLogStream();
#endif

	static bool initialized;
	static int level;
	static std::string filename;
};

#endif
